SYNCE_GET_DIRECTORY(3)

NAME
synce_get_directory - get synce configuration directory

SYNOPSIS
#include <synce.h>

bool synce_get_directory(char ** path);

bool synce_get_subdirectory(const char * name, char ** path);

bool synce_get_script_directory(char ** path);

DESCRIPTION
The synce_get_directory() function provides a string describing the location of the synce configuration directory. If the environment variable SYNCE_CONF_DIR is set, it's value is returned. The default location is ~/.synce.

The synce_get_subdirectory() function provides a string describing the location of the subdirectory name in the synce configuration directory. name cannot contain '/'.

The synce_get_script_directory() function provides a string describing the location of the script subdirectory in the synce configuration directory.

RETURN VALUE
Returns true if successful. Fails and returns false if path is an invalid pointer, SYNCE_CONF_DIR is not set and user cannot be determined, or the directory does not exist.

SEE ALSO
synce(7)